#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define	module	pyusb
Summary:	PyUSB provides USB access on the Python language
Summary(pl.UTF-8):	PyUSB - dostęp do USB z poziomu języka Python
Name:		python-%{module}
# keep 1.1.x here for python2 support
Version:	1.1.0
Release:	3
License:	BSD
Group:		Development/Languages/Python
Source0:	https://downloads.sourceforge.net/pyusb/%{module}-%{version}.tar.gz
# Source0-md5:	3b2e38e9f697d2f90d86376bd10a9505
URL:		https://pyusb.github.io/pyusb/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools >= 1:30.3.0
BuildRequires:	python-setuptools_scm
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-setuptools >= 1:30.3.0
BuildRequires:	python3-setuptools_scm
%endif
Requires:	python-libs >= 1:2.5
Requires:	libusb >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyUSB provides USB access on the Python language.

%description -l pl.UTF-8
PyUSB daje dostęp do USB z poziomu języka Python.

%package -n python3-%{module}
Summary:	PyUSB provides USB access on the Python language
Summary(pl.UTF-8):	PyUSB - dostęp do USB z poziomu języka Python
Group:		Development/Languages/Python
Requires:	python3-libs >= 1:3.2
Requires:	libusb >= 1.0.0

%description -n python3-%{module}
PyUSB provides USB access on the Python language.

%description -n python3-%{module} -l pl.UTF-8
PyUSB daje dostęp do USB z poziomu języka Python.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS LICENSE README.rst docs/*.rst
%{py_sitescriptdir}/usb
%{py_sitescriptdir}/pyusb-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS LICENSE README.rst docs/*.rst
%{py3_sitescriptdir}/usb
%{py3_sitescriptdir}/pyusb-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyusb.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5adf6b3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e42906a
- python 3.13 rebuild

* Sat Feb 03 2024 Jakub Bogusz <qboosh@pld-linux.org> c65911a
- updated to 1.1.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c9f3d13
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 51e1d7e
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e116113
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> a1fdef7
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 64c8698
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 237793e
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 73357f0
- release 2 (by relup.sh)

* Sat May 19 2018 Jakub Bogusz <qboosh@pld-linux.org> e212a93
- updated to 1.0.2

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 81df02a
- python 3.6
- release 2 (by relup.sh)

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 279ffc8
- updated to 1.0.0
- now with libusb 1 or libusb 0 support via ctypes
- added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2a34a67
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 80a2fc6
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 516fd20
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 0efd3ed
- replaced BR: libusb-devel with BR: libusb-compat-devel
- dropped BR: unzip

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c148f74
- release 2

* Sat Sep 26 2009 wrobell <wrobell@pld-linux.org> 4f81519
- ver. 0.4.2

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a655de
- release 2

